Add Macronix MX29F040C support

Other working configurations:
	.probe		= probe_jedec
	.probe_timing	= TIMING_IGNORED

	.probe		= probe_29f040b
	.probe_timing	= TIMING_IGNORED

	.probe		= probe_29f002
	.probe_timing	= TIMING_IGNORED

	.erase		= erase_29f002

	.write		= write_29f002

Signed-off-by: Arjan Koers <0h3q2rmn2bdb@list.nospam.xutrox.com>

Index: flashchips.c
===================================================================
--- flashchips.c	(revision 605)
+++ flashchips.c	(working copy)
@@ -1403,6 +1403,22 @@
 
 	{
 		.vendor		= "Macronix",
+		.name		= "MX29F040C",
+		.bustype	= CHIP_BUSTYPE_NONSPI,
+		.manufacture_id	= MX_ID,
+		.model_id	= MX_29F040C,
+		.total_size	= 512,
+		.page_size	= 64 * 1024,
+		.tested		= TEST_OK_PREW,
+		.probe		= probe_jedec,
+		.probe_timing	= TIMING_ZERO,
+		.erase		= erase_29f040b,
+		.write		= write_29f040b,
+		.read		= read_memmapped,
+	},
+
+	{
+		.vendor		= "Macronix",
 		.name		= "MX29LV040C",
 		.bustype	= CHIP_BUSTYPE_NONSPI,
 		.manufacture_id	= MX_ID,
